#
#Note: smb4k needs suid root on smbmnt and smbumount
#
Summary:	SMB share browser
Summary(pl.UTF-8):	Przeglądarka zasobów SMB
Name:		smb4k
Version:	3.1.5
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/smb4k/Development/%{name}-%{version}.tar.xz
# Source0-md5:	e7ef3e6923bc9a6a8522f3dd86c4f36e
URL:		http://smb4k.sf.net
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5X11Extras-devel
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	docbook-dtd45-xml
BuildRequires:	gettext-tools
BuildRequires:	kf5-extra-cmake-modules
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kcompletion-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kjobwidgets-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libxml2-progs
BuildRequires:	ninja
BuildRequires:	qt5-build
BuildRequires:	qt5-qmake
BuildRequires:	rpmbuild(macros) >= 1.293
Requires:	cups-backend-smb
Requires:	samba-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An SMB share browser for KDE.

%description -l pl.UTF-8
Przeglądarka zasobów SMB dla KDE.

%prep
%setup -q

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%{?with_tests:%ninja_build test}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

#fixing desktop file
%{__sed} -e "s@Categories=Qt;KDE;Utility;@Categories=Qt;KDE;Network;@g" -i $RPM_BUILD_ROOT%{_desktopdir}/org.kde.smb4k.desktop

%find_lang %{name} --with-kde --all-name

#%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsmb4kcore.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README
%attr(755,root,root) %{_bindir}/smb4k
%attr(755,root,root) %{_libdir}/libsmb4kcore.so
#%attr(755,root,root) %ghost %{_libdir}/libsmb4kcore.so.6
%attr(755,root,root) %{_libdir}/qt5/plugins/smb4kconfigdialog.so
%dir %attr(755,root,root) %{_libdir}/qt5/qml/org/kde/smb4k
%dir %attr(755,root,root) %{_libdir}/qt5/qml/org/kde/smb4k/smb4kqmlplugin
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/smb4k/smb4kqmlplugin/libsmb4kqmlplugin.so
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/smb4k/smb4kqmlplugin/qmldir
%attr(755,root,root) %{_libexecdir}/kauth/mounthelper
%{_desktopdir}/org.kde.smb4k.desktop
%{_datadir}/dbus-1/system-services/org.kde.smb4k.mounthelper.service
%{_datadir}/dbus-1/system.d/org.kde.smb4k.mounthelper.conf
%{_datadir}/kconf_update/*

%{_datadir}/metainfo/org.kde.smb4k.appdata.xml
%{_datadir}/metainfo/org.kde.smb4kqml.appdata.xml

%{_docdir}/HTML/*/smb4k

%{_datadir}/knotifications5/smb4k.notifyrc
%{_datadir}/kservices5/plasma-applet-org.kde.smb4kqml.desktop
%dir %{_datadir}/kxmlgui5
%dir %{_datadir}/kxmlgui5/smb4k
%{_datadir}/kxmlgui5/smb4k/smb4k_shell.rc
        
%{_datadir}/config.kcfg/smb4k.kcfg
%{_iconsdir}/*/*/*/*.png

%dir %{_datadir}/plasma/plasmoids/org.kde.smb4kqml
%dir %{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/config
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/config/main.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/BookmarkItemDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/BookmarksPage.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/ConfigurationPage.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/NetworkBrowserItemDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/NetworkBrowserPage.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/PanelIconWidget.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/PopupDialog.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/ProfileItemDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/ProfilesPage.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/SharesViewItemDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/SharesViewPage.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.smb4kqml/metadata.json

%{_datadir}/polkit-1/actions/org.kde.smb4k.mounthelper.policy
%changelog
* Wed Nov 06 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smb4k.git;a=log;h=master

* Wed Oct 02 2024 Łukasz Maśko <lmasko@pld-linux.org> 4c32fcd
- Up to 3.1.5.

* Tue Sep 07 2021 Łukasz Maśko <lmasko@pld-linux.org> 5305f69
- Up to 3.1.0.

* Sat Nov 09 2019 Jan Rękorajski <baggins@pld-linux.org> bb8efe1
- build using ninja to get the right paths
- rel 2

* Sat Nov 09 2019 Jan Rękorajski <baggins@pld-linux.org> c8bf332
- updated install and files
- rel 1

* Mon Oct 07 2019 Łukasz Maśko <lmasko@pld-linux.org> a5c867f
- Even more BR's.

* Mon Oct 07 2019 Łukasz Maśko <lmasko@pld-linux.org> d502404
- More BR's.

* Mon Oct 07 2019 Lukasz Masko <lmasko@pld-linux.org> 672289b
- Added BRs.

* Sun Oct 06 2019 Łukasz Maśko <lmasko@pld-linux.org> 2b21f86
- Up to 3.0.2, preliminaty version.

* Sat Oct 05 2019 Jan Rękorajski <baggins@pld-linux.org> 188471b
- release 2 (by relup.sh)

* Sun Dec 11 2016 Łukasz Maśko <lmasko@pld-linux.org> c3537f3
- Up to 1.2.2.

* Mon Apr 04 2016 Łukasz Maśko <lmasko@pld-linux.org> fa1d992
- Cleanups in spec (locale).

* Mon Apr 04 2016 Łukasz Maśko <lmasko@pld-linux.org> 52ee8c8
- Up to 1.2.1.

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> bdc1b16
- updated gettext BR

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> de2cb3e
- release 2 (by relup.sh)

* Fri May 24 2013 Lukasz Masko <lmasko@pld-linux.org> 735c6c4
- Up to 1.0.7.

* Wed Mar 27 2013 Lukasz Masko <lmasko@pld-linux.org> 4954f7d
- Up to 1.0.6.

* Fri Jan 04 2013 Lukasz Masko <lmasko@pld-linux.org> 77377ae
- Up to 1.0.5.

* Wed Mar 14 2012 lmasko <lmasko@pld-linux.org> 30985d3
- Up to 1.0.1.

* Fri Feb 24 2012 lmasko <lmasko@pld-linux.org> 68a658f
- Up to stable 1.0.0.
- Chcnged URL.

* Sun Sep 25 2011 lmasko <lmasko@pld-linux.org> 9f3b291
- Up to 0.10.74 (1.0.0 beta 5). Builds and seems to work.
- May need cleen-ups.

